Loading...

Windows File System Agent: System Requirements

The following requirements are for the Windows File System Agent.

Operating System

Windows Server 2019

Microsoft Windows Server 2019 Editions

Windows 2016

Microsoft Windows Server 2016 Editions

*Nano Servers are not supported. See Considerations for Microsoft Windows Server 2016 for more information.

Windows 10

Microsoft Windows Client 10 Editions

Windows 8

Microsoft Windows Client 8.1

*See Considerations for Microsoft Windows Server 2012, 2012 R2, and Windows 8 for more information.

Microsoft Windows Client 8

Windows 2012

Microsoft Windows Server 2012 R2 Editions

*See Considerations for Microsoft Windows Server 2012, 2012 R2, and Windows 8.x for more information.

Windows 7

Microsoft Windows 7 Editions

Windows Server 2008

Microsoft Windows Server 2008 Editions with a minimum of Service Pack 1

*Core Editions are not supported.

Microsoft Windows Server 2008 R2 Editions*

*Core Editions are not supported.

Windows Vista

Microsoft Windows Vista Editions

Windows Server 2003

Microsoft Windows Server 2003 Editions [Extended Support]

Windows XP

Microsoft Windows XP Editions with a minimum of Service Pack 3 [Extended Support]

Cluster - Support

The software can be installed on a Cluster if clustering is supported by the above-mentioned operating systems.

For information on supported cluster types, see Clustering - Support.

Hard Drive

1 GB minimum of hard disk space for installing the software.

To calculate the disk space requirements for the job results directory, see Job Results Directory Disk Space Calculation.

500 MB of free disk space is required for log directory.

Processor

All Windows-compatible processors are supported.

Office Communications Server

  • Lync Server 2013
  • Lync Server 2010
  • Office Communications Server 2007 R2
  • Office Communications Server 2007
  • Live Communications Server 2005

Miscellaneous

.NET Framework

.NET Framework 4.0 is automatically installed. Note that .NET Framework 4.0 can co-exist with other versions of this software.

Microsoft Visual C++

The following Redistributable Packages are installed automatically. Multiple versions of the package can be installed on the same computer.

Microsoft Visual C++ 2017 Redistributable Package

For Windows 2008 R2 computers, use a minimum of Service Pack 1.

Microsoft Visual C++ 2013 Redistributable Package

Microsoft Visual C++ 2010 Redistributable Package

Microsoft Visual C++ Redistributable 2017 is Automatically Installed

Starting in Service Pack 11, Microsoft Visual C++ Redistributable 2017 (vcredist2017.exe) is automatically installed. If a computer does not have the latest Windows updates, the installation of Microsoft Visual C++ Redistributable 2017 will fail.

The following Windows updates must be installed:

KB2919355

KB2939087

KB2975061

KB2999226

Microsoft Windows 10 and Microsoft Windows Server 2016 come with the Universal C Runtime already installed, so only the basic VC2017/2013/2010 redistributable installation may be required.

Support for Windows Server 2000 Clients

The Commvault Version 11 software is not supported on Windows Server 2000 computers. If you want to protect the file system data of a Windows Server 2000 computer, you must install the Commvault Version 9 software.To install a Version 9 client, see Installing Version 9 Windows Server 2000 Clients on a Version 11 CommCell Environment.

Supported File Systems

  • File Allocation Table (FAT) file systems
  • New Technology File Systems (NTFS), including Encrypting File System (EFS)
  • Transactional File Systems
  • Distributed File System (DFS) data
  • Oracle ASM Cluster File System (Oracle ACFS)
  • Resilient File System (ReFS) on Windows Server 2012, Windows Server 2016, Windows Server 2019 computers.
  • Nutanix Acropolis File Services (AFS)

Support for Windows Storage Server

Windows storage servers are supported.

Supported Disks

Microsoft Azure Ultra SSD Disks are supported.

DISCLAIMER

Third-party maintenance (minor) releases or service packs that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or service packs. In some cases, these minor releases or service packs affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or service pack. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or service packs are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.

Last modified: 10/15/2019 7:23:53 PM